<?php

namespace IpagWoocommerce;

final class TransactionInquiryParser extends AbstractTransactionParser
{
    public function __construct()
    {
        parent::__construct();
        $this->endpoint = 'service/consult';
        $this->requestTransformer = new TransactionInquiryRequestTransformer();
    }

    public function parseRequest(array $request): array
    {
        return parent::parseRequest($request);
    }

    public function parseResponse($response): array
    {
        return parent::parseResponse($response);
    }
}